import { A7Model } from '../../mongoose';
import { Model } from './model';
declare type AsObjectSingle<T extends Model> = Omit<T, Exclude<keyof A7Model, '_id' | 'createdAt' | 'lastUpdateTime'>>;
export declare type AsObject<T extends Model> = {
    [key in keyof AsObjectSingle<T>]: T[key];
};
export {};
